I am a newbie for Ruby, I d/l one-click of Ruby1.8.6 and install ,then
it well used, I have learn ruby with GUI pratice , and found that TK8.5
is available ,but after installation, I try to simple run code with RDE
editor, it shown error as

----- code -----------------
require "tk"
root = TkRoot.new{title "Test root"}
Tk.mainloop
----------------------------

  I got error message shown " This application has failed to star
because tk84.dll was not found"

  I try copied "tk85.dll" from "c:\Tcl" directory "c:\ruby186_25\lib"
and attemp to fix it by several method , but there's nothing result , Do
any body ever found problem like this ? , please help me for suggestion.
-- 
Posted via http://www.ruby-forum.com/.